libvisio::Pointer Struct Reference

`#include <VSDParser.h>`

## Public Member Functions

| Pointer ()
| Pointer (const Pointer &ptr)=default
Pointer & | operator= (const Pointer &ptr)=default

## Public Attributes

unsigned | Type
unsigned | Offset
unsigned | Length
unsigned short | Format
unsigned | ListSize

## Constructor & Destructor Documentation

## Pointer() [1/2]

libvisio::Pointer::Pointer | ( |  | ) |

inline

Referenced by operator=(), and Pointer().

## Pointer() [2/2]

libvisio::Pointer::Pointer | ( | const Pointer & | ptr | ) |

default

## Member Function Documentation

## operator=()

Pointer & libvisio::Pointer::operator= | ( | const Pointer & | ptr | ) |

default

## Member Data Documentation

## Format

unsigned short libvisio::Pointer::Format

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), Pointer(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

## Length

unsigned libvisio::Pointer::Length

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), Pointer(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

## ListSize

unsigned libvisio::Pointer::ListSize

Referenced by Pointer().

## Offset

unsigned libvisio::Pointer::Offset

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), Pointer(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

## Type

unsigned libvisio::Pointer::Type

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::handleStreams(), Pointer(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

The documentation for this struct was generated from the following file:

- VSDParser.h